NAME

OpenAPI::Client::OpenAI::Path::organization-groups-group_id-users - Documentation for the /organization/groups/{group_id}/users path.

OPERATIONS

GET /organization/groups/{group_id}/users

list-group-users

$client->list_group_users({
    body => { ... },
});

Lists the users assigned to a group.

Path/query parameters

  • group_id (in path, required, string) - The ID of the group to inspect.

  • limit (in query, optional, integer) - A limit on the number of users to be returned. Limit can range between 0 and 1000, and the default is 100.

    Default: 100

  • after (in query, optional, string) - A cursor for use in pagination. Provide the ID of the last user from the previous list response to retrieve the next page.

  • order (in query, optional, string) - Specifies the sort order of users in the list.

    Allowed values: asc, desc

    Default: desc

Responses

200 - Group users listed successfully.

Content-Type: application/json

Example:

{
   "data" : [
      {
         "email" : "ada@example.com",
         "id" : "user_abc123",
         "name" : "Ada Lovelace"
      }
   ],
   "has_more" : false,
   "next" : null,
   "object" : "list"
}

POST /organization/groups/{group_id}/users

add-group-user

$client->add_group_user({
    body => { ... },
});

Adds a user to a group.

Path/query parameters

  • group_id (in path, required, string) - The ID of the group to update.

Responses

200 - User added to the group successfully.

Content-Type: application/json

Example:

{
   "group_id" : "group_01J1F8ABCDXYZ",
   "object" : "group.user",
   "user_id" : "user_abc123"
}

SCHEMAS

CreateGroupUserBody

Properties:

  • user_id (string, required) - Identifier of the user to add to the group.

GroupUser

Properties:

  • email (anyOf, required) - The email address of the user.

  • id (string, required) - The identifier, which can be referenced in API endpoints

  • name (string, required) - The name of the user.

GroupUserAssignment

Properties:

  • group_id (string, required) - Identifier of the group the user was added to.

  • object (string, required) - Always group.user .

    Allowed values: group.user

  • user_id (string, required) - Identifier of the user that was added.

UserListResource

Properties:

  • data (array of GroupUser, required) - Users in the current page.

  • has_more (boolean, required) - Whether more users are available when paginating.

  • next (anyOf, required) - Cursor to fetch the next page of results, or null when no further users are available.

  • object (string, required) - Always list .

    Allowed values: list

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.